Bug 1322852 - [RFE] Gluster: add multiple host support in gfapi access, if multiple backup servers are available
Summary: [RFE] Gluster: add multiple host support in gfapi access, if multiple backup ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.17.18
Hardware: Unspecified
OS: Unspecified
medium
high with 1 vote vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Denis Chaplygin
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1022961 1247521 1247933
Blocks: 1225425 1509967
TreeView+ depends on / blocked
 
Reported: 2016-03-31 12:53 UTC by Sahina Bose
Modified: 2019-04-22 06:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 06:45:33 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.4?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1484227 None NEW [gfapi] Virtual Machines are not highly available with gluster libgfapi access mechanism (blocked on platform bug 146581... 2019-10-14 10:25:33 UTC

Internal Links: 1484227

Description Sahina Bose 2016-03-31 12:53:34 UTC
Description of problem:

Once qemu supports passing multiple hosts while accessing gluster volume using the native gfapi driver, vdsm needs to be changed to pass this option.

Version-Release number of selected component (if applicable):


How reproducible:
NA

Comment 1 Giuseppe Ragusa 2017-02-17 14:27:22 UTC
Maybe this should be moved to target milestone ovirt-4.1.3 (or later in 4.1.z given that the backup servers support could be deemed not-so-critical) in light of the related recent change on BZ # 1022961

Comment 2 Sahina Bose 2017-12-08 13:15:30 UTC
Denis, I think this has already been implemented? Can you confirm and change status?

Comment 3 Denis Chaplygin 2017-12-08 13:27:10 UTC
No, it is blocked by libvirt bugs (same bug as for VM high availability)

Comment 4 Gobinda Das 2019-04-22 06:45:33 UTC
Closing this as no action taken from long back.Please reopen if required.


Note You need to log in before you can comment on or make changes to this bug.